// ===========================================================================
// CONTENT  : INTERFACE LineProcessor
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 20/03/2016
// HISTORY  :
//  02/07/2003  mdu  CREATED
//
// Copyright (c) 2003-2016, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.file ;

import org.pfsw.bif.text.ILineProcessor;

/**
 * A simple interface that allows processing a longer text line by line.
 * Usually used together with FileUtil.processTextLines().
 *
 * @deprecated Use {@link ILineProcessor} instead.
 * @author Manfred Duchrow
 * @version 1.1
 */
@Deprecated
public interface LineProcessor extends ILineProcessor
{
  // nothing so far
}
