// ===========================================================================
// CONTENT  : INTERFACE StringFilter
// AUTHOR   : Manfred Duchrow
// VERSION  : 2.0 - 11/08/2014
// HISTORY  :
//  06/05/2005  mdu  CREATED
//  11/08/2014  mdu   added   --> NONE, ALL
//
// Copyright (c) 2005-2014, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.text;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pfsw.bif.text.IStringFilter;

/**
 * A simple interface for abstraction of string pattern matching
 *
 * @deprecated This interface still exists for compatibility reasons, but will be removed in the next major release.
 *  Please use {@link IStringFilter} instead. 
 * @author Manfred Duchrow
 * @version 2.0
 */
@Deprecated
public interface StringFilter extends IStringFilter
{
  // Nothing to extend
}